public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-net-ldap/
Date: Wed,  8 Jun 2022 04:41:05 +0000 (UTC)	[thread overview]
Message-ID: <1654663261.aa0b9ce76da5485c94748c6acf8d8f37f2bc5e62.graaff@gentoo> (raw)

commit:     aa0b9ce76da5485c94748c6acf8d8f37f2bc5e62
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  8 03:51:07 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jun  8 04:41:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa0b9ce7

dev-ruby/ruby-net-ldap: add 0.17.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ruby-net-ldap/Manifest                    |  1 +
 dev-ruby/ruby-net-ldap/ruby-net-ldap-0.17.1.ebuild | 34 ++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-ruby/ruby-net-ldap/Manifest b/dev-ruby/ruby-net-ldap/Manifest
index 631b1e3f0889..a5bfc87acbff 100644
--- a/dev-ruby/ruby-net-ldap/Manifest
+++ b/dev-ruby/ruby-net-ldap/Manifest
@@ -1 +1,2 @@
 DIST ruby-net-ldap-0.17.0.tar.gz 92548 BLAKE2B 45dd1f6205af25735c8ed55a28ec91084e0b95403fa4c4a06310a19f1a9c247cb4cd1e8be7bbb26b2423c0d05afb4cfd4e8b2eed4e552aa78c9b4b44102f34d8 SHA512 417e946f044db2fda8ceb8ebfee2376310308ac6a1949e165beff0a9c2a8b410f88ffcb607d27ab060d1d55364cb75fd41753d101a404874be6dbbec3875f192
+DIST ruby-net-ldap-0.17.1.tar.gz 92746 BLAKE2B 785791c1e96002c92d6e4a78867870d36011faad5fd9bac4af4c34eea0c4bbd5526291023684c30ddf4c7bdee46ad2c9b98211d103d88d6fda6b2195f0d6e6c4 SHA512 af36095c57b9d142faf5435430a9de63a5c5bcca8fa58e5a431e49097328d882121523864936ef1388254e9ffc9b40718ed5b5b9c335d1f79bac9da955e9ec4d

diff --git a/dev-ruby/ruby-net-ldap/ruby-net-ldap-0.17.1.ebuild b/dev-ruby/ruby-net-ldap/ruby-net-ldap-0.17.1.ebuild
new file mode 100644
index 000000000000..18c0833cd32a
--- /dev/null
+++ b/dev-ruby/ruby-net-ldap/ruby-net-ldap-0.17.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_TEST="test spec"
+RUBY_FAKEGEM_EXTRADOC="Contributors.rdoc History.rdoc README.rdoc"
+
+RUBY_FAKEGEM_NAME="net-ldap"
+
+RUBY_FAKEGEM_GEMSPEC="net-ldap.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pure ruby LDAP client implementation"
+HOMEPAGE="https://github.com/ruby-ldap/ruby-net-ldap"
+SRC_URI="https://github.com/ruby-ldap/ruby-net-ldap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/flexmock-1.3.0 )"
+
+all_ruby_prepare() {
+	sed -i -e "s:_relative ': './:" ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:test:. -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}


             reply	other threads:[~2022-06-08  4:41 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-08  4:41 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-06  8:19 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-net-ldap/ Hans de Graaff
2024-01-01  8:07 Hans de Graaff
2023-06-18  4:53 Hans de Graaff
2023-04-05  3:17 Sam James
2023-03-27 13:25 Sam James
2023-03-26 10:42 Hans de Graaff
2022-12-04  9:19 Hans de Graaff
2022-04-24  7:06 Hans de Graaff
2020-12-01  6:44 Hans de Graaff
2020-08-19  3:54 Hans de Graaff
2020-05-05 10:01 Hans de Graaff
2020-03-26  7:25 Hans de Graaff
2019-11-19  5:40 Hans de Graaff
2019-01-24  6:33 Hans de Graaff
2018-06-06  4:44 Hans de Graaff
2018-02-10  7:42 Hans de Graaff
2017-11-01  5:24 Hans de Graaff
2017-08-06  6:28 Hans de Graaff
2017-07-30  6:10 Hans de Graaff
2017-02-25  7:19 Hans de Graaff
2016-12-24 12:57 Manuel Rüger
2016-07-19  5:58 Hans de Graaff
2016-04-02  7:01 Hans de Graaff
2016-04-02  7:01 Hans de Graaff
2016-02-05  6:51 Hans de Graaff
2016-01-08  6:45 Hans de Graaff
2016-01-08  6:45 Hans de Graaff
2015-11-12  6:51 Hans de Graaff
2015-10-28  5:31 Hans de Graaff
2015-10-28  5:31 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1654663261.aa0b9ce76da5485c94748c6acf8d8f37f2bc5e62.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox